Overview
POST
/customer/resolvecustomerMap one of the caller's external user ids onto a stable ADH customerId (BYO bridge)
Create a record in resolve.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- externalIdstring
The developer's own end-user id (the BYO join key).
- emailoptionalstring
- displayNameoptionalstring
Example
{
"externalId": "string",
"email": "string",
"displayName": "string"
}Responses
200
the resolved (idempotent upsert) customer id
- customerIdstring
The stable ADH customer id for this externalId
Example
{
"customerId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/customer/resolve" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"externalId": "string",
"email": "string",
"displayName": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/customer/resolve", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"externalId\": \"string\",\n \"email\": \"string\",\n \"displayName\": \"string\"\n}",
});
const data = await res.json();